<template>
  <div class="max-w-screen-lg min-h-screen mx-auto bg-white">
    <!-- Partie profil -->
    <section class="flex flex-col px-10 mx-2.5">
      <div class="flex items-center mt-20">
        <!-- Photo de profil // WORK IN PROGRESS -->
        <div class="w-20 h-20 rounded-full border-2 border-yellow-600">
          <!-- To do : créer l'image -->
          <div class="flex justify-center items-center w-20 h-20 text-center"></div>
        </div>
        <!-- Titre -->
        <p class="ml-10 text-4xl">Mon profil</p>
      </div>
      <!-- User name -->
      <div class="flex mt-8 w-1/2 text-lg">
        <p class="w-24">Pseudo</p>
        <p>{{ currentUser.name }}</p>
      </div>
      <!-- User mail -->
      <div class="flex mt-2.5 w-1/2 text-lg">
        <p class="w-24">Email</p>
        <p>{{ currentUser.email }}</p>
      </div>
    </section>
    <!-- Partie projets -->
    <section class="flex flex-col px-10 mx-2.5">
      <!-- Navbar -->
      <div v-if="currentComponent === 'MyProjects'" class="flex">
        <p @click="currentComponent = 'MyProjects'" class="mt-20 pr-7 text-3xl border-r-2 border-black text-yellow-600 cursor-pointer">Mes projets</p>
        <p @click="currentComponent = 'NewProject'" class="mt-20 px-7 text-3xl cursor-pointer">Nouveau projet</p>
      </div>
      <div v-else class="flex">
        <p @click="currentComponent = 'MyProjects'" class="mt-20 pr-7 text-3xl border-r-2 border-black cursor-pointer">Mes projets</p>
        <p @click="currentComponent = 'NewProject'" class="mt-20 px-7 text-3xl text-yellow-600 cursor-pointer">Nouveau projet</p>
      </div>
      <!-- Composant séléctionné -->
      <transition name="view">
        <component :is="currentComponent" :currentUser="currentUser" :switchCurrentComponent="switchCurrentComponent"></component>
      </transition>
    </section>
  </div>
</template>

<script>
import MyProjects from '@/components/MyProjects'
import NewProject from '@/components/NewProject'
export default {
  name: 'myProfile',
  components: {
    MyProjects,
    NewProject
  },
  props: {
    currentUser: {}
  },
  methods: {
    // Fctn pour retourner sur le composant "MyProjects" après création new projet
    switchCurrentComponent(value) {
      this.currentComponent = value
    }
  },
  data: () => ({
    currentComponent: 'MyProjects'
  }),
}
</script>
